Get expected delivery for items - Fabric

Get expected delivery for items

cURL

curl --request POST \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/expectedDelivery \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data ' \
{
  "SLA": [\
    {\
      "shipMethod": 10167,\
      "items": [\
        "1000002448",\
        "987654321"\
      ]\
    }\
  ]
}'

Python

import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/expectedDelivery"

payload = { "SLA": [\
        {\
            "shipMethod": 10167,\
            "items": ["1000002448", "987654321"]\
        }\
    ] }
headers = {
    "x-site-context": "<x-site-context>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'POST',
  headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
  body: JSON.stringify({SLA: [{shipMethod: 10167, items: ['1000002448', '987654321']}]})
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/expectedDelivery', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/expectedDelivery",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'SLA' => [\
        [\
                'shipMethod' => 10167,\
                'items' => [\
                                '1000002448',\
                                '987654321'\
                ]\
        ]\
    ]\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "x-site-context: <x-site-context>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/expectedDelivery"

payload := strings.NewReader("{\n  \"SLA\": [\n    {\n      \"shipMethod\": 10167,\n      \"items\": [\n        \"1000002448\",
        \"987654321\"\n      ]\n    }\n  ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.post("https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/expectedDelivery")
  .header("x-site-context", "<x-site-context>")
  .header("Content-Type", "application/json")
  .body("{\n  \"SLA\": [\n    {\n      \"shipMethod\": 10167,\n      \"items\": [\n        \"1000002448\",\n        \"987654321\"\n      ]\n    }\n  ]\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://prod01-apigw.yourcompany.fabric.zone/api-shipping/shipping/expectedDelivery")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"SLA\": [\n    {\n      \"shipMethod\": 10167,\n      \"items\": [\n        \"1000002448\",\n        \"987654321\"\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body

Response Format

Successful Response (200)

[
  {
    "shipMethod": 10167,
    "items": [
      "1000002448",
      "987654321"
    ],
    "minimumDeliveryDate": "2021-09-04T14:51:12.950Z",
    "maximumDeliveryDate": "2021-09-06T14:51:12.950Z"
  }
]

Error Response (400/500)

{
  "code": "<string>",
  "message": "<string>"
}

Headers

Example:

{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}